> **For AI agents:** this page is a focused, LLM-optimized view of a
> single Fiber AI operation. Before calling it, fetch the routing
> instructions at [`https://api.fiber.ai/llms.txt`](https://api.fiber.ai/llms.txt) and the full operation
> index at [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md).

# getSavedSearchRunProfiles

`POST /v1/saved-search/run/profiles`

**Tags:** `Saved search`

Get saved search run profiles

**Endpoint:** `https://api.fiber.ai/v1/saved-search/run/profiles`

## Description

Get the profiles found for a specific saved search run

⚡ Rate limit: 120 requests per 1 minute

💰 Cost: FREE! No credits are charged for this API. ⓘ

## Request body (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "apiKey": {
      "type": "string",
      "description": "Your Fiber API key"
    },
    "savedSearchRunId": {
      "type": "string",
      "description": "The ID of the saved search run"
    },
    "statuses": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "string",
        "enum": [
          "joined",
          "returned",
          "departed",
          "stayed"
        ]
      },
      "minItems": 1,
      "description": "The statuses of the profiles. This is optional and if not provided, all profiles will be returned."
    },
    "cursor": {
      "type": [
        "string",
        "null"
      ],
      "description": "The cursor to start from"
    },
    "pageSize": {
      "type": "integer",
      "minimum": 1,
      "maximum": 100,
      "default": 25,
      "description": "The number of profiles to return"
    }
  },
  "required": [
    "apiKey",
    "savedSearchRunId"
  ]
}
```

## Response — success (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "output": {
      "type": "object",
      "properties": {
        "profiles": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "profile": {
                "type": "object",
                "properties": {
                  "articles": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "title": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "date_published": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "certifications": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "title": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "credential_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "verify_url": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "summary": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "linkedin_company_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "company_name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "connection_count": {
                    "type": [
                      "number",
                      "null"
                    ]
                  },
                  "courses": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "title": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "course_number": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "association": {
                          "type": "null"
                        }
                      }
                    }
                  },
                  "dob": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "education": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "school_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "school_name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "field_of_study_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "field_of_study_name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "degree": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "grade": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "start_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "end_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "activities": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "notes": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "experiences": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "linkedin_company_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "is_current": {
                          "type": [
                            "boolean",
                            "null"
                          ]
                        },
                        "company_name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "locality": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "start_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "end_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "start_date_precision": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "enum": [
                            "year",
                            "month",
                            null
                          ]
                        },
                        "end_date_precision": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "enum": [
                            "year",
                            "month",
                            null
                          ]
                        },
                        "summary": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "title": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "seniority": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "enum": [
                            "Entry level",
                            "Director",
                            "Associate",
                            "Mid-Senior level",
                            "Internship",
                            "Executive",
                            null
                          ]
                        },
                        "job_function": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "string",
                            "enum": [
                              "Arts and Design",
                              "Business Development",
                              "Community & Social Services",
                              "Consulting",
                              "Education",
                              "Engineering",
                              "Entrepreneurship",
                              "Healthcare Services",
                              "Human Resources",
                              "Information Technology",
                              "Legal",
                              "Military & Protective Services",
                              "Operations",
                              "Program & Product Management",
                              "Real Estate",
                              "Sales",
                              "Support",
                              "Administrative",
                              "Finance",
                              "Marketing",
                              "Purchasing",
                              "Product Management",
                              "Advertising",
                              "Analyst",
                              "Customer Service",
                              "Distribution",
                              "Design",
                              "General Business",
                              "Management",
                              "Manufacturing",
                              "Other",
                              "Public Relations",
                              "Project Management",
                              "Production",
                              "Quality Assurance",
                              "Research",
                              "Science",
                              "Supply Chain",
                              "Training",
                              "Health Care Provider",
                              "Accounting",
                              "Art / Creative",
                              "Strategy / Planning",
                              "Writing / Editing"
                            ]
                          }
                        },
                        "job_function_v2": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "enum": [
                            "Accounting",
                            "Administrative",
                            "Arts and Design",
                            "Business Development",
                            "Community and Social Services",
                            "Consulting",
                            "Education",
                            "Engineering",
                            "Entrepreneurship",
                            "Finance",
                            "Healthcare Services",
                            "Human Resources",
                            "Information Technology",
                            "Legal",
                            "Marketing",
                            "Media and Communication",
                            "Military and Protective Services",
                            "Operations",
                            "Product Management",
                            "Program and Project Management",
                            "Purchasing",
                            "Quality Assurance",
                            "Real Estate",
                            "Research",
                            "Sales",
                            "Customer Success and Support",
                            "Other",
                            null
                          ]
                        },
                        "job_specialty": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "enum": [
                            "Bookkeeping & Payroll",
                            "Audit & Internal Controls",
                            "Tax Accounting",
                            "General Accounting",
                            "Executive Assistance",
                            "Office Management",
                            "Reception & Front Office",
                            "Clerical & Data Entry",
                            "General Administrative",
                            "Graphic & Visual Design",
                            "UX & Product Design",
                            "Creative & Art Direction",
                            "Interior & Architectural Design",
                            "Fashion & Industrial Design",
                            "General Arts and Design",
                            "Partnerships & Alliances",
                            "Channel & Reseller Development",
                            "Market Expansion & New Ventures",
                            "General Business Development",
                            "Social Work & Case Management",
                            "Community Outreach & Program Coordination",
                            "Ministry & Religious Services",
                            "Fundraising & Nonprofit Development",
                            "General Community and Social Services",
                            "Management & Strategy Consulting",
                            "Technology & IT Consulting",
                            "Financial Advisory Consulting",
                            "Implementation & Solutions Consulting",
                            "Independent & Freelance Consulting",
                            "Advisors & Board Advisory",
                            "General Consulting",
                            "K-12 Teaching",
                            "Higher Education Faculty",
                            "Early Childhood & Teaching Assistants",
                            "School & Academic Administration",
                            "Curriculum & Instructional Design",
                            "Tutoring & Coaching",
                            "Students",
                            "General Education",
                            "Mechanical Engineering",
                            "Electrical & Electronics Engineering",
                            "Civil & Structural Engineering",
                            "Chemical & Process Engineering",
                            "Industrial & Manufacturing Engineering",
                            "Field Service & Technicians",
                            "Engineering Management",
                            "General Engineering",
                            "Founders",
                            "Business Ownership",
                            "General Entrepreneurship",
                            "FP&A & Corporate Finance",
                            "Investment Banking & Capital Markets",
                            "Investment & Wealth Management",
                            "Banking & Lending",
                            "Insurance & Underwriting",
                            "Risk Management",
                            "General Finance",
                            "Nursing",
                            "Physicians & Advanced Practice",
                            "Pharmacy",
                            "Therapy & Rehabilitation",
                            "Behavioral & Mental Health",
                            "Allied Health & Medical Technicians",
                            "Healthcare Administration",
                            "Fitness & Wellness",
                            "General Healthcare Services",
                            "Recruiting & Talent Acquisition",
                            "HR Business Partner & Generalist",
                            "Compensation & Benefits",
                            "Learning & Development",
                            "HR Operations & HRIS",
                            "People Analytics & Workforce Planning",
                            "Employee Relations & DEI",
                            "General Human Resources",
                            "Software Engineering",
                            "Data & ML Engineering",
                            "Data Science & Analytics",
                            "DevOps & Site Reliability",
                            "Security & Cybersecurity",
                            "IT Systems & Network Administration",
                            "Enterprise & Technical Architecture",
                            "General Information Technology",
                            "Attorneys & Counsel",
                            "Paralegal & Legal Support",
                            "Compliance & Regulatory",
                            "Judiciary & Clerkships",
                            "General Legal",
                            "Brand & Marketing Communications",
                            "Digital & Performance Marketing",
                            "Content & Social Media",
                            "Product Marketing",
                            "Demand Generation & Growth",
                            "Marketing Operations & Analytics",
                            "Events & Field Marketing",
                            "General Marketing",
                            "Editorial & Journalism",
                            "PR & Corporate Communications",
                            "Media Production & Broadcasting",
                            "Writing & Editing",
                            "General Media and Communication",
                            "Military & Defense",
                            "Law Enforcement & Security",
                            "Emergency Services",
                            "General Military and Protective Services",
                            "Executive & General Management",
                            "Business Operations & Strategy",
                            "Operations Management",
                            "Supply Chain & Logistics",
                            "Manufacturing & Production",
                            "Construction & Field Operations",
                            "Retail & Hospitality Operations",
                            "Facilities & Property Management",
                            "Quality & Safety",
                            "Agriculture & Forestry",
                            "General Operations",
                            "Product Strategy & Roadmapping",
                            "Technical Product Management",
                            "Product Ownership & Agile",
                            "General Product Management",
                            "Program Management",
                            "Project Management",
                            "Technical Program Management",
                            "PMO & Project Coordination",
                            "General Program and Project Management",
                            "Procurement & Sourcing",
                            "Supplier & Vendor Management",
                            "General Purchasing",
                            "Software Testing & QA Engineering",
                            "General Quality Assurance",
                            "Realty Sales & Brokerage",
                            "Property Management",
                            "Commercial & Investment Real Estate",
                            "General Real Estate",
                            "Academic Research",
                            "Scientific & Laboratory Research",
                            "Clinical Research",
                            "Market & User Research",
                            "General Research",
                            "Account Executive",
                            "Sales Development",
                            "Account Management",
                            "Sales Engineering & Presales",
                            "Sales Operations & Enablement",
                            "Sales Management",
                            "Retail & Consumer Sales",
                            "Insurance Sales",
                            "General Sales",
                            "Customer Support & Contact Center",
                            "Technical Support & Help Desk",
                            "Customer Success",
                            "Food & Beverage Service",
                            "Front Desk & Guest Services",
                            "Retail & Cashier",
                            "Personal Care Services",
                            "General Customer Success and Support",
                            "Other",
                            null
                          ]
                        },
                        "employment_type": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "string",
                            "enum": [
                              "Full-time",
                              "Temporary",
                              "Internship",
                              "Contract",
                              "Part-time",
                              "Volunteer",
                              "Other"
                            ]
                          }
                        },
                        "academic_qualification": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "string",
                            "enum": [
                              "High School",
                              "Associate Degree",
                              "Bachelor Degree"
                            ]
                          }
                        },
                        "company_start_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "company_end_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "company_org_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "company_linkedin_ids": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "string"
                          }
                        },
                        "industry": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "cleaned_title": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "first_name": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "follower_count": {
                    "type": [
                      "number",
                      "null"
                    ]
                  },
                  "headline": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "inferred_location": {
                    "type": [
                      "object",
                      "null"
                    ],
                    "properties": {
                      "street_address": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "neighborhood": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "city": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "state_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "state_code": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "county": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "postal_code": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "country_code": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "country_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "coordinates": {
                        "type": [
                          "object",
                          "null"
                        ],
                        "properties": {
                          "lat": {
                            "type": "number"
                          },
                          "lon": {
                            "type": "number"
                          }
                        },
                        "required": [
                          "lat",
                          "lon"
                        ]
                      },
                      "timezone": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "full_address": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "formatted_address": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  },
                  "interests": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "string"
                    }
                  },
                  "last_name": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "locality": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "name": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "patents": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "title": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "country": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "number": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "description": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "url": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "profile_pic": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "projects": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "project_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "project_title": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "project_url": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "project_summary": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "is_current": {
                          "type": [
                            "boolean",
                            "null"
                          ]
                        },
                        "start_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "end_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "publications": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "collaborators": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "url": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              }
                            }
                          }
                        },
                        "date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "publisher": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "summary": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "title": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "url": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "skills": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "string"
                    }
                  },
                  "primary_slug": {
                    "type": "string"
                  },
                  "slugs": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "string"
                    }
                  },
                  "summary": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "url": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "user_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "volunteering": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "role": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "is_current": {
                          "type": [
                            "boolean",
                            "null"
                          ]
                        },
                        "cause": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "summary": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "linkedin_company_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "company_name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "start_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "end_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "tenures": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "linkedin_company_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "company_name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "date_range": {
                          "type": "object",
                          "properties": {
                            "gte": {
                              "type": [
                                "string",
                                "null"
                              ]
                            },
                            "lte": {
                              "type": [
                                "string",
                                "null"
                              ]
                            }
                          }
                        },
                        "range_length_days": {
                          "type": [
                            "number",
                            "null"
                          ]
                        },
                        "titles": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        "localities": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      },
                      "required": [
                        "date_range",
                        "titles",
                        "localities"
                      ]
                    }
                  },
                  "career_began_at": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "tags": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "string",
                      "enum": [
                        "student",
                        "attended-top-us-university",
                        "attended-top-global-university",
                        "second-time-founder",
                        "deep-technical-background",
                        "major-tech-company-experience",
                        "fortune-500-executive",
                        "recently-changed-companies",
                        "recently-promoted",
                        "decision-maker",
                        "c-suite",
                        "experienced-executive",
                        "phd",
                        "influencer",
                        "board-member"
                      ]
                    }
                  },
                  "entity_urn": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "open_to_work": {
                    "type": [
                      "boolean",
                      "null"
                    ]
                  },
                  "premium": {
                    "type": [
                      "boolean",
                      "null"
                    ]
                  },
                  "influencer": {
                    "type": [
                      "boolean",
                      "null"
                    ]
                  },
                  "organizations": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "end_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "title": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "start_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "entity_urns": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "string"
                    }
                  },
                  "is_hiring": {
                    "type": [
                      "boolean",
                      "null"
                    ]
                  },
                  "websites": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "string"
                    }
                  },
                  "is_verified": {
                    "type": [
                      "boolean",
                      "null"
                    ]
                  },
                  "verifications": {
                    "type": [
                      "object",
                      "null"
                    ],
                    "properties": {
                      "is_verified": {
                        "type": [
                          "boolean",
                          "null"
                        ]
                      },
                      "joined_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "verification_types": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "object",
                          "properties": {
                            "title": {
                              "type": [
                                "string",
                                "null"
                              ]
                            },
                            "subtitle": {
                              "type": [
                                "string",
                                "null"
                              ]
                            },
                            "description": {
                              "type": [
                                "string",
                                "null"
                              ]
                            }
                          }
                        }
                      }
                    }
                  },
                  "is_top_voice": {
                    "type": [
                      "boolean",
                      "null"
                    ]
                  },
                  "current_job": {
                    "type": [
                      "object",
                      "null"
                    ],
                    "properties": {
                      "linkedin_company_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "is_current": {
                        "type": [
                          "boolean",
                          "null"
                        ]
                      },
                      "company_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "locality": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "start_date_precision": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "enum": [
                          "year",
                          "month",
                          null
                        ]
                      },
                      "end_date_precision": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "enum": [
                          "year",
                          "month",
                          null
                        ]
                      },
                      "summary": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "seniority": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "enum": [
                          "Entry level",
                          "Director",
                          "Associate",
                          "Mid-Senior level",
                          "Internship",
                          "Executive",
                          null
                        ]
                      },
                      "job_function": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "Arts and Design",
                            "Business Development",
                            "Community & Social Services",
                            "Consulting",
                            "Education",
                            "Engineering",
                            "Entrepreneurship",
                            "Healthcare Services",
                            "Human Resources",
                            "Information Technology",
                            "Legal",
                            "Military & Protective Services",
                            "Operations",
                            "Program & Product Management",
                            "Real Estate",
                            "Sales",
                            "Support",
                            "Administrative",
                            "Finance",
                            "Marketing",
                            "Purchasing",
                            "Product Management",
                            "Advertising",
                            "Analyst",
                            "Customer Service",
                            "Distribution",
                            "Design",
                            "General Business",
                            "Management",
                            "Manufacturing",
                            "Other",
                            "Public Relations",
                            "Project Management",
                            "Production",
                            "Quality Assurance",
                            "Research",
                            "Science",
                            "Supply Chain",
                            "Training",
                            "Health Care Provider",
                            "Accounting",
                            "Art / Creative",
                            "Strategy / Planning",
                            "Writing / Editing"
                          ]
                        }
                      },
                      "job_function_v2": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "enum": [
                          "Accounting",
                          "Administrative",
                          "Arts and Design",
                          "Business Development",
                          "Community and Social Services",
                          "Consulting",
                          "Education",
                          "Engineering",
                          "Entrepreneurship",
                          "Finance",
                          "Healthcare Services",
                          "Human Resources",
                          "Information Technology",
                          "Legal",
                          "Marketing",
                          "Media and Communication",
                          "Military and Protective Services",
                          "Operations",
                          "Product Management",
                          "Program and Project Management",
                          "Purchasing",
                          "Quality Assurance",
                          "Real Estate",
                          "Research",
                          "Sales",
                          "Customer Success and Support",
                          "Other",
                          null
                        ]
                      },
                      "job_specialty": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "enum": [
                          "Bookkeeping & Payroll",
                          "Audit & Internal Controls",
                          "Tax Accounting",
                          "General Accounting",
                          "Executive Assistance",
                          "Office Management",
                          "Reception & Front Office",
                          "Clerical & Data Entry",
                          "General Administrative",
                          "Graphic & Visual Design",
                          "UX & Product Design",
                          "Creative & Art Direction",
                          "Interior & Architectural Design",
                          "Fashion & Industrial Design",
                          "General Arts and Design",
                          "Partnerships & Alliances",
                          "Channel & Reseller Development",
                          "Market Expansion & New Ventures",
                          "General Business Development",
                          "Social Work & Case Management",
                          "Community Outreach & Program Coordination",
                          "Ministry & Religious Services",
                          "Fundraising & Nonprofit Development",
                          "General Community and Social Services",
                          "Management & Strategy Consulting",
                          "Technology & IT Consulting",
                          "Financial Advisory Consulting",
                          "Implementation & Solutions Consulting",
                          "Independent & Freelance Consulting",
                          "Advisors & Board Advisory",
                          "General Consulting",
                          "K-12 Teaching",
                          "Higher Education Faculty",
                          "Early Childhood & Teaching Assistants",
                          "School & Academic Administration",
                          "Curriculum & Instructional Design",
                          "Tutoring & Coaching",
                          "Students",
                          "General Education",
                          "Mechanical Engineering",
                          "Electrical & Electronics Engineering",
                          "Civil & Structural Engineering",
                          "Chemical & Process Engineering",
                          "Industrial & Manufacturing Engineering",
                          "Field Service & Technicians",
                          "Engineering Management",
                          "General Engineering",
                          "Founders",
                          "Business Ownership",
                          "General Entrepreneurship",
                          "FP&A & Corporate Finance",
                          "Investment Banking & Capital Markets",
                          "Investment & Wealth Management",
                          "Banking & Lending",
                          "Insurance & Underwriting",
                          "Risk Management",
                          "General Finance",
                          "Nursing",
                          "Physicians & Advanced Practice",
                          "Pharmacy",
                          "Therapy & Rehabilitation",
                          "Behavioral & Mental Health",
                          "Allied Health & Medical Technicians",
                          "Healthcare Administration",
                          "Fitness & Wellness",
                          "General Healthcare Services",
                          "Recruiting & Talent Acquisition",
                          "HR Business Partner & Generalist",
                          "Compensation & Benefits",
                          "Learning & Development",
                          "HR Operations & HRIS",
                          "People Analytics & Workforce Planning",
                          "Employee Relations & DEI",
                          "General Human Resources",
                          "Software Engineering",
                          "Data & ML Engineering",
                          "Data Science & Analytics",
                          "DevOps & Site Reliability",
                          "Security & Cybersecurity",
                          "IT Systems & Network Administration",
                          "Enterprise & Technical Architecture",
                          "General Information Technology",
                          "Attorneys & Counsel",
                          "Paralegal & Legal Support",
                          "Compliance & Regulatory",
                          "Judiciary & Clerkships",
                          "General Legal",
                          "Brand & Marketing Communications",
                          "Digital & Performance Marketing",
                          "Content & Social Media",
                          "Product Marketing",
                          "Demand Generation & Growth",
                          "Marketing Operations & Analytics",
                          "Events & Field Marketing",
                          "General Marketing",
                          "Editorial & Journalism",
                          "PR & Corporate Communications",
                          "Media Production & Broadcasting",
                          "Writing & Editing",
                          "General Media and Communication",
                          "Military & Defense",
                          "Law Enforcement & Security",
                          "Emergency Services",
                          "General Military and Protective Services",
                          "Executive & General Management",
                          "Business Operations & Strategy",
                          "Operations Management",
                          "Supply Chain & Logistics",
                          "Manufacturing & Production",
                          "Construction & Field Operations",
                          "Retail & Hospitality Operations",
                          "Facilities & Property Management",
                          "Quality & Safety",
                          "Agriculture & Forestry",
                          "General Operations",
                          "Product Strategy & Roadmapping",
                          "Technical Product Management",
                          "Product Ownership & Agile",
                          "General Product Management",
                          "Program Management",
                          "Project Management",
                          "Technical Program Management",
                          "PMO & Project Coordination",
                          "General Program and Project Management",
                          "Procurement & Sourcing",
                          "Supplier & Vendor Management",
                          "General Purchasing",
                          "Software Testing & QA Engineering",
                          "General Quality Assurance",
                          "Realty Sales & Brokerage",
                          "Property Management",
                          "Commercial & Investment Real Estate",
                          "General Real Estate",
                          "Academic Research",
                          "Scientific & Laboratory Research",
                          "Clinical Research",
                          "Market & User Research",
                          "General Research",
                          "Account Executive",
                          "Sales Development",
                          "Account Management",
                          "Sales Engineering & Presales",
                          "Sales Operations & Enablement",
                          "Sales Management",
                          "Retail & Consumer Sales",
                          "Insurance Sales",
                          "General Sales",
                          "Customer Support & Contact Center",
                          "Technical Support & Help Desk",
                          "Customer Success",
                          "Food & Beverage Service",
                          "Front Desk & Guest Services",
                          "Retail & Cashier",
                          "Personal Care Services",
                          "General Customer Success and Support",
                          "Other",
                          null
                        ]
                      },
                      "employment_type": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "Full-time",
                            "Temporary",
                            "Internship",
                            "Contract",
                            "Part-time",
                            "Volunteer",
                            "Other"
                          ]
                        }
                      },
                      "academic_qualification": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "High School",
                            "Associate Degree",
                            "Bachelor Degree"
                          ]
                        }
                      },
                      "company_start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "company_end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "company_org_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "company_linkedin_ids": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string"
                        }
                      },
                      "industry": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "cleaned_title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  },
                  "custom_data": {
                    "type": [
                      "object",
                      "null"
                    ],
                    "additionalProperties": {
                      "type": "string"
                    }
                  },
                  "relevance_score": {
                    "type": [
                      "number",
                      "null"
                    ]
                  },
                  "last_sort_key": {
                    "type": [
                      "str
… _truncated to 65536 chars for ai-docs._
```

---

Canonical JSON: [`https://api.fiber.ai/openapi.json`](https://api.fiber.ai/openapi.json)
Operation index: [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md)
